# panellum_generator

Configuration generator for Panellum Panorama Viewer.
https://pannellum.org/

## Usage

python panoconfig.py input.txt -o pannellum/index.htm

put index.htm in panellum folder together with images inside images/ folder.

## input config file format
FromFile,ToFile,Pitch,Yaw,TargetYaw|i

## overlay Pitch and Yaw
run overlaylatLong.sh with .jpg files in same directory. 
This will create an "overlay" directory with the fotos and a lat long overlay.

## Workflow
Add .jpg equirectengular 360 photos in a directory with overlayLatLong.sh and the Rasteroverlay.png.
Run overlayLatLong.sh
create a file (for example input.txt)
Add clickable hotspots in every line
Example: from kitchen.jpg to livingroom.jpg at pitch=0 and yaw=-30 (coordinats in from picture).
kitchen,livingroom,0,-30,i
(i for autocalculate yaw viewpoint in target photo)
Use images in overlay directory for pitch and yaw reference.

Every image in the "to" field has to exist at least once as "from".

Download pannellum and put pannellum folder in directory next to the python file.
Run "python panoconfig.py input.txt -o pannellum/index.htm" to create index.htm with config in it.
Run python -m http.server in pannellum folder.
Navigate to http://localhost:8000
